FAQ


System Requirements for Endicia Software

Published 7/23/2019 7:36 PM | Updated 7/23/2019 7:37 PM


What are the supported system requirements for Endicia software?

DAZzle (Windows):

  • Windows 7, Windows 8, Windows 8.1, or Windows 10 (supported with enhanced compatibility updates expected)
  • Video: 1024×768 or higher
  • 32MB RAM
  • 20MB disk space
  • Active Internet connection
  • Microsoft Internet Explorer 7.0 or higher with 128-bit Encryption
  • Printer

Endicia Professional (Windows):

  • Windows 7, Windows 8, Windows 8.1, or Windows 10 (supported with enhanced compatibility updates expected)
  • Microsoft .NET Framework 4.0 or higher is often installed on new systems. If installation is necessary, increase the disk space requirement by 160MB or more.
  • Video: 1024×768 or higher
  • 32MB RAM
  • 25MB disk space
  • Active Internet connection
  • DAZzle must be installed on the same computer. See preceding DAZzle requirements.
  • Printer

DYMO Stamps and Printable Postage (Windows):

  • Windows 7, Windows 8, Windows 8.1, or Windows 10 (supported with enhanced compatibility updates expected)
  • Microsoft .NET Framework 2.0 or higher is often installed on new systems. If installation is necessary, increase the disk space requirement by 160MB or more.
  • 15MB disk space
  • Active Internet connection
  • DYMO Label Software 7.2 or later (for DYMO LabelWriter printers and stamp rolls)
  • DYMO Stamps Postage Labels:
    • Stamp rolls (30915)
    • Stamp sheets
  • Printer

DYMO Stamps Online (Windows only):

  • Windows 7, Windows 8, Windows 8.1, or Windows 10 (supported with enhanced compatibility updates expected)
  • Active Internet connection
  • DYMO Stamps Postage Labels:
    • Stamp rolls (30915)
    • Stamp sheets
  • Supported printers
  • Latest Java Plug-in
  • Latest version of Internet Explorer or Chrome.

Endicia for Mac:

  • Mac OS X 10.6 Snow Leopard (with 64-bit processor)
  • Mac OS X 10.7 Lion
  • Mac OS X 10.8 Mountain Lion
  • Mac OS X 10.9 Mavericks
  • Mac OS X 10.10 Yosemite
  • Active Internet connection
  • Printer

DYMO Printable Postage (Mac):

  • Mac OS X 10.6 Snow Leopard (with 64-bit processor)
  • Mac OS X 10.7 Lion
  • Mac OS X 10.8 Mountain Lion
  • Mac OS X 10.9 Mavericks
  • Mac OS X 10.9 Mavericks
  • Mac OS X 10.10 Yosemite
  • Active Internet connection
  • Printer